# pandas.Series.dt.tz_convert

`Series.dt.``tz_convert`(*args, **kwargs)

  Convert tz-aware DatetimeIndex from one time zone to another (using pytz/dateutil)

  Parameters:

  tz : string, pytz.timezone, dateutil.tz.tzfile or None

  > Time zone for time. Corresponding timestamps would be converted to time zone of the TimeSeries. None will remove timezone holding UTC time.

  Returns: | normalized : DatetimeIndex

  Raises:

  TypeError

  > If DatetimeIndex is tz-naive.

Scroll To Top